From ac8662cdc7d5784590748cfad00436f2b390deb5 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 17 2020 16:22:44 +0000
Subject: [PATCH 1440/2232] Add book opengraph metadata


---

diff --git a/book/book.toml b/book/book.toml
index d8928fb..0644e05 100644
--- a/book/book.toml
+++ b/book/book.toml
@@ -1,7 +1,7 @@
 [book]
-title = "CXX"
+#title = "Rust ♡ C++"
 authors = ["David Tolnay"]
-description = "Guide for the `cxx` crate, a safe approach to FFI between Rust and C++."
+description = "CXX — safe interop between Rust and C++"
 
 [rust]
 edition = "2018"
diff --git a/book/build.js b/book/build.js
index 091d4ce..2cda586 100755
--- a/book/build.js
+++ b/book/build.js
@@ -14,6 +14,15 @@ https://github.com/dtolnay/cxx\
 </a>\
 </li>`;
 
+const opengraph = `\
+<meta property="og:image" content="https://cxx.rs/cxx.png" />\
+<meta property="og:site_name" content="CXX" />\
+<meta property="og:title" content="CXX — safe interop between Rust and C++" />\
+<meta name="twitter:image:src" content="https://cxx.rs/cxx.png" />\
+<meta name="twitter:site" content="@davidtolnay" />\
+<meta name="twitter:card" content="summary" />\
+<meta name="twitter:title" content="CXX — safe interop between Rust and C++" />`;
+
 const htmljs = `\
 var html = document.querySelector('html');
 html.classList.remove('no-js');
@@ -37,6 +46,7 @@ while (dirs.length) {
     const index = fs.readFileSync(path, 'utf8');
     const $ = cheerio.load(index, { decodeEntities: false });
 
+    $('head').append(opengraph);
     $('script:nth-of-type(3)').text(htmljs);
     $('nav#sidebar ol.chapter').append(githublink);
     $('head link[href="tomorrow-night.css"]').attr('disabled', true);
